Fix retainer profiling after SRT overhaul
ClosedPublic

Authored by simonmar on May 17 2018, 7:37 AM.

Details

Summary

Recent changes to SRTs (D4632, D4637) also required changes to
RetainerProfile.c. This should hopefully get things working again.

Test Plan

validate with profiling turned on

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
simonmar created this revision.May 17 2018, 7:37 AM

Passes the profiling tests here

Alright, I'm going to go ahead and merge this then.

osa1 added a comment.May 19 2018, 2:13 AM

Validates here as well so I just committed this.

osa1 added a comment.May 19 2018, 5:21 AM

For some reason Phabricator didn't realize that I committed this ...

This revision was not accepted when it landed; it landed in state Needs Review.May 20 2018, 5:19 PM
This revision was automatically updated to reflect the committed changes.

Phabricator was a bit stuck earlier. I kicked it this morning and it seems to have caught up to reality.